"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_router_dom_1 = require("react-router-dom");
const tiny_invariant_1 = __importDefault(require("tiny-invariant"));
const NamedRouter_1 = require("./NamedRouter");
exports.NamedRedirect = (_a) => {
    var { to, params } = _a, otherProps = __rest(_a, ["to", "params"]);
    const context = NamedRouter_1.useNamedRouting();
    tiny_invariant_1.default(context, 'You should not use <NamedRedirect> outside a <NamedRouter>');
    const { getPath } = context;
    return (react_1.default.createElement(react_router_dom_1.Redirect, Object.assign({}, otherProps, { to: getPath(to, params) })));
};
exports.NamedRedirect.displayName = 'NamedRedirect';
