import React from 'react';
import { RouteComponentProps, RouteProps } from 'react-router-dom';
import { NamedRouteConfig } from './NamedRouter';
export interface NamedRouteProps<TParams = object> extends Omit<RouteProps, 'path'> {
    name: string;
    children?: React.ReactNode;
}
export interface NamedRouteComponentProps<P, C, S> extends RouteComponentProps<P, C, S> {
    route: NamedRouteConfig;
}
export declare const NamedRoute: React.FC<NamedRouteProps>;
